--
-- ScreenshotMode
--
-- Author: Monsieur Bab
-- Date: 01.12.2024
-- Version: 2.0.0.0
--

ScreenshotMode = Mod:init()

FSBaseMission.registerActionEvents = Utils.appendedFunction(FSBaseMission.registerActionEvents, function()
    local triggerUp, triggerDown, triggerAlways, startActive, callbackState, disableConflictingBindings = false, true, false, true, nil, true
    local state, actionEventId, otherEvents = g_inputBinding:registerActionEvent(InputAction.OPEN_SCREENSHOT_MODE_OVERLAY, ScreenshotMode, ScreenshotMode.showScreenshotModeOverlay, triggerUp, triggerDown, triggerAlways, startActive, callbackState, disableConflictingBindings)
    g_inputBinding:setActionEventTextPriority(actionEventId, GS_PRIO_VERY_LOW)
    g_inputBinding:setActionEventTextVisibility(actionEventId, true)
end)

function ScreenshotMode:showScreenshotModeOverlay()
    if self.gui == nil then
        g_gui:loadProfiles(ScreenshotMode.dir .. "gui/guiProfiles.xml")

        for _, profile in pairs(g_gui.profiles) do
            local values = profile.values

            if values.imageFilename == 'g_screenshotModeUIFilename' then
                values.imageFilename = ScreenshotMode.dir .. 'icon_screenshotMode.dds'
            end
        end

        self.gui = {}
        self.gui["screenshotModeOverlay"] = ScreenshotModeOverlay.new(nil, nil)

        g_gui:loadGui(ScreenshotMode.dir .. "gui/ScreenshotModeOverlay.xml", "ScreenshotModeOverlayGUI", self.gui.screenshotModeOverlay) 
    end

    g_gui:showGui("ScreenshotModeOverlayGUI")
end
